# eric7.Preferences.ConfigurationPages.PipPage

Package implementing the pip configuration page.

### Global Attributes

None

### Classes

PipPage | Class implementing the pip configuration page.

### Functions

create | Module function to create the configuration page.

## PipPage

Class implementing the pip configuration page.

### Derived from

ConfigurationPageBase, Ui_PipPage

### Class Attributes

None

### Class Methods

None

### Methods

PipPage | Constructor
save | Public slot to save the pip configuration.

### Static Methods

None

#### PipPage (Constructor)

PipPage()

Constructor

#### PipPage.save

save()

Public slot to save the pip configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up